# Interface ApplicationBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `NativeExecutableBinarySpec, PlayApplicationBinarySpec`

@Incubating public interface ApplicationBinarySpec extends BinarySpec
A binary produced from a ``ApplicationSpec``.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`ApplicationSpec`
`getApplication()`
The application that this binary belongs to.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface BinarySpec

`getInputs, getSources, getTasks, isBuildable`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getApplication

ApplicationSpec getApplication()
The application that this binary belongs to.